#
# spec file for package patterns-fonts
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-fonts
Version:        20170319
Release:        11.1
Summary:        Patterns for Installation (Fonts)
License:        MIT
Group:          Metapackages
URL:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains the Fonts patterns.






################################################################################
%package fonts
%pattern_graphicalenvironments
Summary:        Fonts
Group:          Metapackages
Provides:       pattern() = fonts
Provides:       pattern-icon() = pattern-x11
Provides:       pattern-order() = 1700
Provides:       pattern-visible()
Recommends:     pattern() = fonts_opt

Requires:       dejavu-fonts
Requires:       google-roboto-fonts
Requires:       intlfonts-euro-bitmap-fonts
Requires:       liberation-fonts
Requires:       xorg-x11-fonts-core
# needed for instsys
Suggests:       ipa-gothic-fonts
Suggests:       ipa-mincho-fonts
Suggests:       ipa-pgothic-fonts
Suggests:       ipa-pmincho-fonts
#IPAUIGothic
Suggests:       bitstream-vera-fonts

%description fonts
Base fonts and font configuration.

%files fonts
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/fonts.txt

################################################################################

%package fonts_opt
%pattern_graphicalenvironments
Summary:        Fonts
Group:          Metapackages
Provides:       pattern() = fonts_opt
Provides:       pattern-extends() = fonts
Provides:       pattern-icon() = pattern-x11
Provides:       pattern-order() = 1720

Recommends:     adobe-sourcecodepro-fonts
Recommends:     adobe-sourcesanspro-fonts
Recommends:     adobe-sourceserifpro-fonts
# noto-sans and noto-sans-cjk pulls in too much (>500MiB!)
Recommends:     efont-unicode-bitmap-fonts
Recommends:     noto-sans-fonts
Recommends:     stix-fonts
Recommends:     xorg-x11-fonts

%description fonts_opt
Base fonts and font configuration.

%files fonts_opt
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/fonts_opt.txt

################################################################################

%prep

%build

%install
mkdir -p %{buildroot}%{_defaultdocdir}/patterns/
for i in fonts fonts_opt; do
	echo "This file marks the pattern $i to be installed." \
		>"%{buildroot}/%{_defaultdocdir}/patterns/$i.txt"
done

%changelog
* Mon Oct 23 2023 Ludwig Nussel <lnussel@suse.de>
- Require fonts so the pattern also works when Recommends are turned off
- Don't pull in Type 1 ghostscript-fonts-* and texlive-lm-fonts by default
  (boo#1216494)
* Mon Mar  6 2023 Fabian Vogt <fvogt@suse.com>
- Revert back to efont-unicode-bitmap-fonts from babelstone-han-fonts.
  The latter are apparently broken for Japanese at least.
- Fix changelog entries with invalid format.
* Mon Feb 27 2023 Gordon Leung <pirateclip@protonmail.com>
- Switch efont-unicode-bitmap-fonts with babelstone-han-fonts
  * The efonts have not been updated since 2004
  * Babelstone Han fonts just got another update on Jan 1 2023
* Wed Jul 13 2022 Gordon Leung <pirateclip@protonmail.com>
- fix: reintroduce efont-unicode-bitmap-fonts so that there is a fallback
  for CJK
* Mon Jul 11 2022 Fabian Vogt <fvogt@suse.com>
- Revert to recommend noto-sans-fonts only, noto-fonts and
  noto-sans-cjk-fonts are too much.
* Sun Jun 19 2022 Gordon Leung <pirateclip@protonmail.com>
- feat: Add noto-fonts and noto-sans-cjk-fonts to fonts_opt pattern
- remove: efont-unicode-bitmap-fonts and google-droid-sans from fonts_opt pattern
- efont-unicode-bitmap-fonts has not been updated since 2003
  noto-fonts and noto-sans-cjk-fonts should be a drop-in replacement
- Google itself states that google-droid-fonts are superseded by Noto Fonts
  * https://github.com/googlefonts/noto-fonts/blob/main/FAQ.md#how-does-noto-relate-to-droid
- fix: rpmlintrc filter, no-binary is now an error rather than warning
* Fri Dec  7 2018 Stasiek Michalski <hellcp@mailbox.org>
- Adjust icons to state of yast2-theme package
* Sat Mar  3 2018 stefan.bruens@rwth-aachen.de
- drop intlfonts from fonts_opt, it only contains documentation, but
  no font data.
* Wed Jan 24 2018 pgajdos@suse.com
- do not recommend liberation2-fonts, it is dead [bsc#1077375] [rh#856239]
* Mon Apr 10 2017 jengelh@inai.de
- Use macros over old $RPM shell vars.
  Change to a sh loop for creating minimally different text files.
* Thu Mar 16 2017 sflees@suse.de
- Create new package from old unified patterns package
